Update an API token

Update the name and description of an API token.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

organizationIdstringRequired
The ID of the Organization where you want to update an API token.
tokenIdstringRequired
The API token you want to update.

Request

This endpoint expects an object.
namestringRequired1-256 characters
The name of the API token.
descriptionstringOptional<=500 characters
The description of the API token.

Response

OK
createdAtdatetime

The time when the API token was created in UTC, formatted as YYYY-MM-DDTHH:MM:SSZ.

descriptionstring
The description of the API token.
idstring
The API token's ID.
kindenum
The kind of the API token.
namestring
The name of the API token.
scopeenum
The scope of the API token.
shortTokenstring
The short value of the API token.
startAtdatetime

The time when the API token will become valid in UTC, formatted as YYYY-MM-DDTHH:MM:SSZ.

updatedAtdatetime

The time when the API token was last updated in UTC, formatted as YYYY-MM-DDTHH:MM:SSZ.

createdByobject
endAtdatetime

The time when the API token expires in UTC, formatted as YYYY-MM-DDTHH:MM:SSZ.

expiryPeriodInDaysinteger
The expiry period of the API token in days.
lastRotatedAtdatetime

The time when the API token was last rotated in UTC, formatted as YYYY-MM-DDTHH:MM:SSZ.

lastUsedAtdatetime

The time when the API token was last used in UTC, formatted as YYYY-MM-DDTHH:MM:SSZ.

roleslist of objects
The roles of the API token.
tokenstring
The value of the API token.
updatedByobject

Errors

400
Update API Token Body Bad Request Error
401
Update API Token Body Unauthorized Error
403
Update API Token Body Forbidden Error
404
Update API Token Body Not Found Error
500
Update API Token Body Internal Server Error